use strict;
use Test;

BEGIN { $! =1 ; plan tests => 4 };

# Check if the module loads
use PowerEdge::RAC;
ok(1);

# Minimal check of the modules this packages relies on. 
# The (internal) _hash function uses md5() and decode_base64()
my $c = 'kEZH0Mxf7vYC1naPNnqzMg==';
my $pwd = 'hobbes';

ok (&PowerEdge::RAC::_hash($pwd, $c), '5ktjWKQ25NRcbR4pO03J71MO', 
	'Check md5() and decode_base64() !');

# Check if XML::Simple works (and thus expat and XML::Parser)
my $xml  = '<?xml version="1.0"?><?RMCXML version="1.0"?><RMCSEQ><RESP CMD="keybsend"><RC>0x1</RC></RESP></RMCSEQ>';

# PowerEdge::RAC dies on an unknown return code (rc=0x1)
eval { &PowerEdge::RAC::_checked_response($xml); };
ok($@, qr/Unknown error./, 'Check expat, XML::Simple and XML::Parser !');

$xml =~ s/0x1/0x0/;
$xml =~ s/xml version/invalidxml/;

# PowerEdge::RAC dies on invalid XML
eval { &PowerEdge::RAC::_checked_response($xml); };

ok($@, qr/Invalid XML from RAC/, 'Check expat, XML::Simple and XML::Parser !');

